All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface FilteredRepositoryInterface

All Superinterfaces:
  FilteredFolderInterface, FolderInterface, MetadataInterface, MutableContainerInterface, PublicObjectContainerInterface, PublicObjectInterface, java.rmi.Remote

All Known Implementing Classes:
  FilteredRepository

    public interface FilteredRepositoryInterface

extends FilteredFolderInterface

This class represents basically the same thing as a FilteredFolder, except that it's the repository level. The name that gets returned from this object is the URL of the repository.

Since:
  1.1

Field Summary

Fields inherited from interface com.sas.services.information.metadata.FolderInterface
`FOLDER_TYPE_BIP`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`RepositoryInterface` | `getRepository()` Get the handle to the repository for this object.

Methods inherited from interface com.sas.services.information.metadata.FilteredFolderInterface
`addLocalItem, getFolder`

Methods inherited from interface com.sas.services.information.metadata.FolderInterface
`addItem, addNewItem, addSubfolder, deleteItem, deleteSubfolder, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderType, getItem, getItemByClass, getItemByType, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getParent, getPath, getPublicTypeItem, getSubfolder, getSubfolders, getTotalNumberOfItems, hasDuplicate, hasDuplicateSubfolder, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, moveMembersOnOverflow, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderType`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.MutableContainerInterface
`addChild, insertChild, removeChild`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectContainerInterface
`getChildAt, getChildCount, getChildren, getChildren, newChild`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getRepository

    RepositoryInterface getRepository()
                                      throws java.rmi.RemoteException

  Description copied from interface: `MetadataInterface`
  Get the handle to the repository for this object.

  Specified by:
    `getRepository` in interface `MetadataInterface`
  Returns:
    A handle to the repository this item exists in.
  Throws:
    `java.rmi.RemoteException` - if an error occurs

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.